Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class ItemDetail

    java.lang.Object
      com.tibco.bpm.web.client.model.types.ItemDetail

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class ItemDetail

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Detail of an item retrieved from server ( ie a Directory Engine resource ).

Contains the resource name and the id (GUID).

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`ItemDetail()`
`ItemDetail(java.lang.String aName, java.lang.String aId)`

Method Summary
`java.lang.String` | `getId()` The item ID (typically the GUID).
`java.lang.String` | `getName()` The item name.
`void` | `setId(java.lang.String id)` The item ID (typically the GUID).
`void` | `setName(java.lang.String name)` The item name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemDetail

    public ItemDetail(java.lang.String aName,
                      java.lang.String aId)

### ItemDetail

    public ItemDetail()

Method Detail

### getName

    public java.lang.String getName()

  The item name.

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  The item name.

  Parameters:
    `name` - The name to set.

### getId

    public java.lang.String getId()

  The item ID (typically the GUID).

  Returns:
    Returns the id.

### setId

    public void setId(java.lang.String id)

  The item ID (typically the GUID).

  Parameters:
    `id` - The id to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.